# Search

Source: https://docs.elnora.ai/docs/api/reference/search
Last modified: 2026-09-08T22:34:42-06:00

> Search endpoints of the Elnora REST API.

Base URL `https://platform.elnora.ai/api/v1`. Authenticate every request with the `X-API-Key` header — see [Authentication](https://docs.elnora.ai/docs/get-started/authentication).

## `GET` /search

Search everything (tasks + files).

```bash
curl https://platform.elnora.ai/api/v1/search \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `q` | query | string | no |
| `Page` | query | int32 | no |
| `PageSize` | query | int32 | no |
| `SortBy` | query | string | no |
| `SortDirection` | query | string | no |

**Responses**: `200`

## `GET` /search/file-content

Search file content via full-text search.

```bash
curl https://platform.elnora.ai/api/v1/search/file-content \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `q` | query | string | no |
| `Page` | query | int32 | no |
| `PageSize` | query | int32 | no |
| `SortBy` | query | string | no |
| `SortDirection` | query | string | no |

**Responses**: `200`

## `GET` /search/files

Search files by name.

```bash
curl https://platform.elnora.ai/api/v1/search/files \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `q` | query | string | no |
| `Page` | query | int32 | no |
| `PageSize` | query | int32 | no |
| `SortBy` | query | string | no |
| `SortDirection` | query | string | no |

**Responses**: `200`

## `GET` /search/tasks

Search across user's task messages.

```bash
curl https://platform.elnora.ai/api/v1/search/tasks \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `q` | query | string | no |
| `Page` | query | int32 | no |
| `PageSize` | query | int32 | no |
| `SortBy` | query | string | no |
| `SortDirection` | query | string | no |

**Responses**: `200`
